Package org.eclipse.birt.report.model.api.simpleapi

# Interface IReportDesign

All Superinterfaces:
  `IDesignElement`

public interface IReportDesign extends IDesignElement
Script wrapper of ReportDesignHandle

## Method Summary

Modifier and Type
Method
Description
`IAction`
`createAction()`
Creates the action structure.
`IDataBinding`
`createDataBinding()`
Create `IDataBinding`
`IFilterCondition`
`createFilterCondition()`
Create `IFilterCondition`
`IHideRule`
`createHideRule()`
Create IHideRule instance
`IHighlightRule`
`createHighLightRule()`
Create IHighLightRule
`ISortCondition`
`createSortCondition()`
Create ISortCondition
`IDataItem`
`getDataItem(String name)`
method to get a data item by name
`IDataSet`
`getDataSet(String name)`
method to get data set design by name
`IDataSource`
`getDataSource(String name)`
method to get data source design by name
`String`
`getDisplayName()`
Gets the display name.
`String`
`getDisplayNameKey()`
Gets the resource key of the display name.
`IDynamicText`
`getDynamicText(String name)`
method to get a dynamic text data item by name.
`IGrid`
`getGrid(String name)`
method to get a grid item by name
`IImage`
`getImage(String name)`
mathod to get a Image item by name
`ILabel`
`getLabel(String name)`
method to get a label item by name
`IList`
`getList(String name)`
method to get a list item by name
`IMasterPage`
`getMasterPage(String name)`
Gets master page script instance.
`IReportElement`
`getReportElement(String name)`
generic method to get report item by name
`IReportElement`
`getReportElementByID(long id)`
generic method to get report item by id
`ITable`
`getTable(String name)`
method to get a table item by name
`ITextItem`
`getTextItem(String name)`
method to get a text item by name
`String`
`getTheme()`
Gets the theme for this report design.
`void`
`save()`
Saves the module to an existing file name.
`void`
`saveAs(String newName)`
Saves the design to the file name provided.
`void`
`setDisplayName(String displayName)`
Sets the display name.
`void`
`setDisplayNameKey(String displayNameKey)`
Sets the resource key of the display name.
`void`
`setTheme(String theme)`
Sets the theme for this report design.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### getMasterPage

IMasterPage getMasterPage(String name)
Gets master page script instance.

Parameters:
  `name` -
Returns:
  master page script instance

### getDataSet

IDataSet getDataSet(String name)
method to get data set design by name

Parameters:
  `name` -
Returns:
  data set

### getDataSource

IDataSource getDataSource(String name)
method to get data source design by name

Parameters:
  `name` -
Returns:
  data source

### getReportElement

IReportElement getReportElement(String name)
generic method to get report item by name

Parameters:
  `name` -
Returns:
  report element

### getLabel

ILabel getLabel(String name)
method to get a label item by name

Parameters:
  `name` -
Returns:
  label

### getGrid

IGrid getGrid(String name)
method to get a grid item by name

Parameters:
  `name` -
Returns:
  grid

### getImage

IImage getImage(String name)
mathod to get a Image item by name

Parameters:
  `name` -
Returns:
  iamge

### getList

IList getList(String name)
method to get a list item by name

Parameters:
  `name` -
Returns:
  list

### getTable

ITable getTable(String name)
method to get a table item by name

Parameters:
  `name` -
Returns:
  table

### getDynamicText

IDynamicText getDynamicText(String name)
method to get a dynamic text data item by name.

Parameters:
  `name` -
Returns:
  text data

### getDataItem

IDataItem getDataItem(String name)
method to get a data item by name

Parameters:
  `name` -
Returns:
  data item

### getTextItem

ITextItem getTextItem(String name)
method to get a text item by name

Parameters:
  `name` -
Returns:
  text item

### setDisplayNameKey

void setDisplayNameKey(String displayNameKey) throws SemanticException
Sets the resource key of the display name.

Parameters:
  `displayNameKey` - the resource key of the display name
Throws:
  `SemanticException` - if the display name resource-key property is locked or not defined on this element.

### getDisplayNameKey

String getDisplayNameKey()
Gets the resource key of the display name.

Returns:
  the resource key of the display name

### setDisplayName

void setDisplayName(String displayName) throws SemanticException
Sets the display name.

Parameters:
  `displayName` - the display name
Throws:
  `SemanticException` - if the display name property is locked or not defined on this element.

### getDisplayName

String getDisplayName()
Gets the display name.

Returns:
  the display name

### save

void save() throws IOException
Saves the module to an existing file name. Call this only when the file name has been set.

Throws:
  `IOException` - if the file cannot be saved on the storage. Or the file name is not valid.
See Also:
  - `saveAs(String)`

### saveAs

void saveAs(String newName) throws IOException
Saves the design to the file name provided. The file name is saved in the design, and subsequent calls to `save( )` will save to this new name.

Parameters:
  `newName` - the new file name
Throws:
  `IOException` - if the file cannot be saved. Or the file name is not valid.
See Also:
  - `save()`

### getTheme

String getTheme()
Gets the theme for this report design.

Returns:
  the theme for this report design.

### setTheme

void setTheme(String theme) throws SemanticException
Sets the theme for this report design.

Parameters:
  `theme` -
Throws:
  `SemanticException`

### getReportElementByID

IReportElement getReportElementByID(long id)
generic method to get report item by id

Parameters:
  `name` -
Returns:
  report element

### createFilterCondition

IFilterCondition createFilterCondition()
Create `IFilterCondition`

Returns:
  instance

### createHideRule

IHideRule createHideRule()
Create IHideRule instance

Returns:
  IHideRule

### createHighLightRule

IHighlightRule createHighLightRule()
Create IHighLightRule

Returns:
  instance

### createSortCondition

ISortCondition createSortCondition()
Create ISortCondition

Returns:
  instance

### createAction

IAction createAction()
Creates the action structure.

Parameters:
  `action` - the structure handle
  `handle` - the element handle that holds the action structure
Returns:
  the action

### createDataBinding

IDataBinding createDataBinding()
Create `IDataBinding`

Returns:
  instance